Package com.independentsoft.office.drawing.tableStyles

# Class TableStyle

java.lang.Object
com.independentsoft.office.drawing.tableStyles.TableStyle

public class TableStyle extends Object
The Class TableStyle.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableStyle()`
  Instantiates a new table style.
  `TableStyle​(InternalXMLStreamReader reader)`
  Instantiates a new table style.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableStyle`
  `clone()`
  `Band1Horizontal`
  `getBand1Horizontal()`
  Gets the band1 horizontal.
  `Band1Vertical`
  `getBand1Vertical()`
  Gets the band1 vertical.
  `Band2Horizontal`
  `getBand2Horizontal()`
  Gets the band2 horizontal.
  `Band2Vertical`
  `getBand2Vertical()`
  Gets the band2 vertical.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `FirstColumn`
  `getFirstColumn()`
  Gets the first column.
  `FirstRow`
  `getFirstRow()`
  Gets the first row.
  `String`
  `getId()`
  Gets the id.
  `LastColumn`
  `getLastColumn()`
  Gets the last column.
  `LastRow`
  `getLastRow()`
  Gets the last row.
  `String`
  `getName()`
  Gets the name.
  `NortheastCell`
  `getNortheastCell()`
  Gets the northeast cell.
  `NorthwestCell`
  `getNorthwestCell()`
  Gets the northwest cell.
  `SoutheastCell`
  `getSoutheastCell()`
  Gets the southeast cell.
  `SouthwestCell`
  `getSouthwestCell()`
  Gets the southwest cell.
  `TableBackground`
  `getTableBackground()`
  Gets the table background.
  `WholeTable`
  `getWholeTable()`
  Gets the whole table.
  `void`
  `setBand1Horizontal​(Band1Horizontal band1Horizontal)`
  Sets the band1 horizontal.
  `void`
  `setBand1Vertical​(Band1Vertical band1Vertical)`
  Sets the band1 vertical.
  `void`
  `setBand2Horizontal​(Band2Horizontal band2Horizontal)`
  Sets the band2 horizontal.
  `void`
  `setBand2Vertical​(Band2Vertical band2Vertical)`
  Sets the band2 vertical.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setFirstColumn​(FirstColumn firstColumn)`
  Sets the first column.
  `void`
  `setFirstRow​(FirstRow firstRow)`
  Sets the first row.
  `void`
  `setId​(String id)`
  Sets the id.
  `void`
  `setLastColumn​(LastColumn lastColumn)`
  Sets the last column.
  `void`
  `setLastRow​(LastRow lastRow)`
  Sets the last row.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setNortheastCell​(NortheastCell northeastCell)`
  Sets the northeast cell.
  `void`
  `setNorthwestCell​(NorthwestCell northwestCell)`
  Sets the northwest cell.
  `void`
  `setSoutheastCell​(SoutheastCell southeastCell)`
  Sets the southeast cell.
  `void`
  `setSouthwestCell​(SouthwestCell southwestCell)`
  Sets the southwest cell.
  `void`
  `setTableBackground​(TableBackground tableBackground)`
  Sets the table background.
  `void`
  `setWholeTable​(WholeTable wholeTable)`
  Sets the whole table.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableStyle

    public TableStyle()
    Instantiates a new table style.

  - ### TableStyle

    public TableStyle​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new table style.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public TableStyle clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getBand1Horizontal

    public Band1Horizontal getBand1Horizontal()
    Gets the band1 horizontal.
    Returns:
      the band1 horizontal

  - ### setBand1Horizontal

    public void setBand1Horizontal​(Band1Horizontal band1Horizontal)
    Sets the band1 horizontal.
    Parameters:
      `band1Horizontal` - the new band1 horizontal

  - ### getBand1Vertical

    public Band1Vertical getBand1Vertical()
    Gets the band1 vertical.
    Returns:
      the band1 vertical

  - ### setBand1Vertical

    public void setBand1Vertical​(Band1Vertical band1Vertical)
    Sets the band1 vertical.
    Parameters:
      `band1Vertical` - the new band1 vertical

  - ### getBand2Horizontal

    public Band2Horizontal getBand2Horizontal()
    Gets the band2 horizontal.
    Returns:
      the band2 horizontal

  - ### setBand2Horizontal

    public void setBand2Horizontal​(Band2Horizontal band2Horizontal)
    Sets the band2 horizontal.
    Parameters:
      `band2Horizontal` - the new band2 horizontal

  - ### getBand2Vertical

    public Band2Vertical getBand2Vertical()
    Gets the band2 vertical.
    Returns:
      the band2 vertical

  - ### setBand2Vertical

    public void setBand2Vertical​(Band2Vertical band2Vertical)
    Sets the band2 vertical.
    Parameters:
      `band2Vertical` - the new band2 vertical

  - ### getFirstColumn

    public FirstColumn getFirstColumn()
    Gets the first column.
    Returns:
      the first column

  - ### setFirstColumn

    public void setFirstColumn​(FirstColumn firstColumn)
    Sets the first column.
    Parameters:
      `firstColumn` - the new first column

  - ### getFirstRow

    public FirstRow getFirstRow()
    Gets the first row.
    Returns:
      the first row

  - ### setFirstRow

    public void setFirstRow​(FirstRow firstRow)
    Sets the first row.
    Parameters:
      `firstRow` - the new first row

  - ### getLastColumn

    public LastColumn getLastColumn()
    Gets the last column.
    Returns:
      the last column

  - ### setLastColumn

    public void setLastColumn​(LastColumn lastColumn)
    Sets the last column.
    Parameters:
      `lastColumn` - the new last column

  - ### getLastRow

    public LastRow getLastRow()
    Gets the last row.
    Returns:
      the last row

  - ### setLastRow

    public void setLastRow​(LastRow lastRow)
    Sets the last row.
    Parameters:
      `lastRow` - the new last row

  - ### getNortheastCell

    public NortheastCell getNortheastCell()
    Gets the northeast cell.
    Returns:
      the northeast cell

  - ### setNortheastCell

    public void setNortheastCell​(NortheastCell northeastCell)
    Sets the northeast cell.
    Parameters:
      `northeastCell` - the new northeast cell

  - ### getNorthwestCell

    public NorthwestCell getNorthwestCell()
    Gets the northwest cell.
    Returns:
      the northwest cell

  - ### setNorthwestCell

    public void setNorthwestCell​(NorthwestCell northwestCell)
    Sets the northwest cell.
    Parameters:
      `northwestCell` - the new northwest cell

  - ### getSoutheastCell

    public SoutheastCell getSoutheastCell()
    Gets the southeast cell.
    Returns:
      the southeast cell

  - ### setSoutheastCell

    public void setSoutheastCell​(SoutheastCell southeastCell)
    Sets the southeast cell.
    Parameters:
      `southeastCell` - the new southeast cell

  - ### getSouthwestCell

    public SouthwestCell getSouthwestCell()
    Gets the southwest cell.
    Returns:
      the southwest cell

  - ### setSouthwestCell

    public void setSouthwestCell​(SouthwestCell southwestCell)
    Sets the southwest cell.
    Parameters:
      `southwestCell` - the new southwest cell

  - ### getTableBackground

    public TableBackground getTableBackground()
    Gets the table background.
    Returns:
      the table background

  - ### setTableBackground

    public void setTableBackground​(TableBackground tableBackground)
    Sets the table background.
    Parameters:
      `tableBackground` - the new table background

  - ### getWholeTable

    public WholeTable getWholeTable()
    Gets the whole table.
    Returns:
      the whole table

  - ### setWholeTable

    public void setWholeTable​(WholeTable wholeTable)
    Sets the whole table.
    Parameters:
      `wholeTable` - the new whole table

  - ### getId

    public String getId()
    Gets the id.
    Returns:
      the id

  - ### setId

    public void setId​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name